org.springframework.data.spel

## Interface EvaluationContextProvider

All Known Subinterfaces:
  ReactiveEvaluationContextProvider

All Known Implementing Classes:
  ExtensionAwareEvaluationContextProvider, ReactiveExtensionAwareEvaluationContextProvider

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface EvaluationContextProvider

Provides a way to access a centrally defined potentially shared `StandardEvaluationContext`.

Since:
  2.1
Author:
  Thomas Darimont, Oliver Gierke, Christoph Strobl, Mark Paluch

### Field Summary

Fields
`static EvaluationContextProvider` `DEFAULT` A simple default `EvaluationContextProvider` returning a `StandardEvaluationContext` with the given root object.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`EvaluationContext` `getEvaluationContext(Object rootObject)` Return a `EvaluationContext` built using the given parameter values.
`default EvaluationContext` `getEvaluationContext(Object rootObject, ExpressionDependencies dependencies)` Return a tailored `EvaluationContext` built using the given parameter values and considering `expression dependencies`.

### Field Detail

#### DEFAULT

    static final EvaluationContextProvider DEFAULT

A simple default `EvaluationContextProvider` returning a `StandardEvaluationContext` with the given root object.

### Method Detail

#### getEvaluationContext

    EvaluationContext getEvaluationContext(Object rootObject)

Return a `EvaluationContext` built using the given parameter values.

Parameters:
  `rootObject` - the root object to set in the `EvaluationContext`.
Returns:

#### getEvaluationContext

    default EvaluationContext getEvaluationContext(Object rootObject,
                                                   ExpressionDependencies dependencies)

Return a tailored `EvaluationContext` built using the given parameter values and considering `expression dependencies`. The returned `EvaluationContext` may contain a reduced visibility of methods and properties/fields according to the required `expression dependencies`.

Parameters:
  `rootObject` - the root object to set in the `EvaluationContext`.
  `dependencies` - the requested expression dependencies to be available.
Returns:
Since:
  2.4